> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all the wishlisted products

> It will return all the wishlisted products



## OpenAPI

````yaml /api-reference/store/openapi.json get /store/customer-access-center/wishlist
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/customer-access-center/wishlist:
    get:
      summary: Get all the wishlisted products
      description: It will return all the wishlisted products
      operationId: get-wishlisted-products
      parameters:
        - name: limit
          required: false
          in: query
          description: >-
            The maximum number of items to be included in a single page of
            results
          schema:
            default: 0
            example: 20
            type: number
        - name: offset
          required: false
          in: query
          description: >-
            The starting index of the page, indicating the position from which
            the results should be retrieved.
          schema:
            default: 0
            example: 0
            type: number
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````